<?= Form::open(['id' => 'updateForm']) ?>
<input type="hidden" name="record_id" value="<?= $recordId ?>" />
<div class="modal-header">
    <button type="button" class="close" data-dismiss="popup">×</button>
    <h4 class="modal-title"><?= e($this->pageTitle) ?></h4>
</div>

<?php if (!$this->fatalError): ?>

<div class="modal-body">
    <?= $this->formRender() ?>
</div>
<div class="modal-footer">
    <button
            type="submit"
            data-request="onUpdate"
            onclick="$(this).data('request-data', {
                    redirect: 0
                })"
            data-hotkey="ctrl+s, cmd+s"
            data-popup-load-indicator
            class="btn btn-primary">
        <u>S</u>ave
    </button>

    <button
            type="button"
            class="btn btn-default"
            data-dismiss="popup">
        <?= e(trans('backend::lang.form.cancel')) ?>
    </button>
</div>

<?php else: ?>

<div class="modal-body">
    <p class="flash-message static error"><?= e(trans($this->fatalError)) ?></p>
</div>
<div class="modal-footer">
    <button
            type="button"
            class="btn btn-default"
            data-dismiss="popup">
        <?= e(trans('backend::lang.form.close')) ?>
    </button>
</div>

<?php endif ?>

<script>
    setTimeout(
            function(){ $('#updateForm input.form-control:first').focus() },
            310
    )
</script>

<?= Form::close() ?>